package com.tofly.ghrq_route.module.planPointRepair.domain;

import java.util.List;

public class NFCInfoBean {
    /**
     * dhtw : 兴华中路，实验路往青年路方向，由兴华中路72号附4号左侧梯步进入，千年之恋KTV出入口左侧，墙上，裸露于地表。(请参照图片查找设备)
     * dhtwpicture : ["nfc/babc16a763e748a2955e4c8e95fc3e22_1707051004tuya.jpg","nfc/0bb64d50608e43249ae91d135d398845_1707051004tuya.jpg","nfc/201608FL_20180522"]
     * “pttw” : [{"tw":{"name":"kpjl","chnName":"卡片记录","pic":["nfc/af99a8d794ee4c12b6f73b2a8b57eeb9_1707050953.jpg"]}},{"tw":{"name":"ztjl","chnName":"状态记录","pic":["nfc/af99a8d794ee4c12b6f73b2a8b57eeb9_1707050953.jpg"]}},{"tw":{"name":"jgjl","chnName":"井盖记录","pic":["nfc/af99a8d794ee4c12b6f73b2a8b57eeb9_1707050953.jpg"]}}]
     */

    private String dhtw;
    private List<String> dhtwpicture;
    private List<TwBean> pttw;

    public String getDhtw() {
        return dhtw;
    }

    public void setDhtw(String dhtw) {
        this.dhtw = dhtw;
    }

    public List<String> getDhtwpicture() {
        return dhtwpicture;
    }

    public void setDhtwpicture(List<String> dhtwpicture) {
        this.dhtwpicture = dhtwpicture;
    }

    public List<TwBean> getPttw() {
        return pttw;
    }

    public void setPttw(List<TwBean> pttw) {
        this.pttw = pttw;
    }

    public static class TwBean {
        /**
         * name : ztjl
         * chnName : 状态记录
         * pic : ["nfc/af99a8d794ee4c12b6f73b2a8b57eeb9_1707050953.jpg"]
         */

        private String name;
        private String chnname;
        private List<String> pic;

        public String getName() {
            return name;
        }

        public void setName(String name) {
            this.name = name;
        }

        public String getChnName() {
            return chnname;
        }

        public void setChnName(String chnName) {
            this.chnname = chnName;
        }

        public List<String> getPic() {
            return pic;
        }

        public void setPic(List<String> pic) {
            this.pic = pic;
        }
    }
}
